
From: Olaf Hering <olh@suse.de>

/proc/iSeries/config contains now the number of configured virtual ethernet
adapters.  AVAILABLE_VETH should only indicate if there is at least one
interface available, iseries_veth must be loaded in this case.

Printing the entire map will give installers some hints about what
interface numbers will appear and how the MAC address may look like.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/viopath.c |   10 +---------
 1 files changed, 1 insertion(+), 9 deletions(-)

diff -puN arch/ppc64/kernel/viopath.c~ppc64-update-info-about-available-iseries_veth-interfaces arch/ppc64/kernel/viopath.c
--- 25/arch/ppc64/kernel/viopath.c~ppc64-update-info-about-available-iseries_veth-interfaces	Tue Jun  1 16:59:34 2004
+++ 25-akpm/arch/ppc64/kernel/viopath.c	Tue Jun  1 16:59:34 2004
@@ -191,7 +191,6 @@ static int proc_viopath_show(struct seq_
 {
 	char *buf;
 	u16 vlanMap;
-	int vlanIndex;
 	dma_addr_t handle;
 	HvLpEvent_Rc hvrc;
 	DECLARE_MUTEX_LOCKED(Semaphore);
@@ -219,17 +218,10 @@ static int proc_viopath_show(struct seq_
 	down(&Semaphore);
 
 	vlanMap = HvLpConfig_getVirtualLanIndexMap();
-	vlanIndex = 0;
-	while (vlanMap != 0){
-		if (vlanMap & 0x8000)
-			vlanIndex++;;
-		vlanMap = vlanMap << 1;
-	}
 
 	buf[PAGE_SIZE-1] = '\0';
 	seq_printf(m, "%s", buf);
-
-	seq_printf(m, "AVAILABLE_VETH=%d\n", vlanIndex );
+	seq_printf(m, "AVAILABLE_VETH=%x\n", vlanMap);
 	seq_printf(m, "SRLNBR=%c%c%c%c%c%c%c\n",
 		   e2a(xItExtVpdPanel.mfgID[2]),
 		   e2a(xItExtVpdPanel.mfgID[3]),
_
